Выпущено внеплановое обновление OpenSSH
В версии 6.4 разработчики устранили уязвимость, позволяющую неавторизованному пользователю вызвать повреждение памяти.
В версии 6.4 разработчики устранили уязвимость, позволяющую неавторизованному пользователю вызвать повреждение памяти.

Согласно сообщению на официальном web-сайте разработчиков OpenSSH, сегодня, 8 ноября, для инструментов шифрования сеансов связи было выпущено внеплановое обновление. Основным нововведением в версии 6.4 является исправление безопасности, устраняющее опасную уязвимость.

Брешь была выявлена одним из сотрудников проекта Маркусом Фридлом (Markus Friedl). По данным разработчика, ее эксплуатация позволяет удаленному пользователю скомпрометировать целевую систему. Уязвимыми являются OpenSSH версий 6.2 и 6.3.

«Уязвимость, позволяющая вызвать повреждение памяти, присутствует в sshd процессе пост-аутентификации при выборе шифрования AES-GCM во время обмена ключами. – Поясняют разработчики. – Эксплуатация бреши позволяет выполнить произвольный код с привилегиями текущего аутентифицированного пользователя».

Уязвимость существует из-за ошибки в процессе пост-аутентификации при выборе шифрования AES-GCM (aes128-gcm@openssh.com или aes256-gcm@openssh.com) во время обмена ключами. Удаленный авторизованный пользователь может вызвать повреждение памяти и выполнить произвольный код на целевой системе.

Для успешной эксплуатации уязвимости требуется, чтобы OpenSSH поддерживал AES-GCM шифрование.

В сообщении также подчеркивается, что в настоящий момент никаких рабочих эксплоитов для уязвимости обнаружено не было.

Более подробно ознакомиться с уязвимостью можно здесь . http://www.openssh.com/txt/release-6.4
Источник: www.securitylab.ru
Источник: www.securitylab.ru
ttttt
2013-11-08 19:31:39
Avatar

Вы все еще пускаете всех подряд на openssh? :)

Вы должны войти

loading